# Leaderboard

## GET /api/v1/leaderboard/college/

> Retrieve College Leaderboard.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"WadhwaniCollegeLeaderboard":{"type":"object","properties":{"code":{"type":"string"},"title":{"type":"string"},"total_karma":{"type":"integer"},"students":{"type":"integer"}},"required":["code","students","title","total_karma"]}}},"paths":{"/api/v1/leaderboard/college/":{"get":{"operationId":"leaderboard_college_retrieve","description":"Retrieve College Leaderboard.","tags":["Leaderboard"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/WadhwaniCollegeLeaderboard"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/leaderboard/college-monthly/

> Retrieve College Monthly Leaderboard.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"LeaderboardCollegeMonthlyItem":{"type":"object","properties":{"code":{"type":"string"},"total_karma":{"type":"integer"},"students":{"type":"integer"}},"required":["code","students","total_karma"]}}},"paths":{"/api/v1/leaderboard/college-monthly/":{"get":{"operationId":"leaderboard_college_monthly_list","description":"Retrieve College Monthly Leaderboard.","tags":["Leaderboard"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"type":"array","items":{"$ref":"#/components/schemas/LeaderboardCollegeMonthlyItem"}}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/leaderboard/students/

> Retrieve Students Leaderboard.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"StudentLeaderboard":{"type":"object","properties":{"full_name":{"type":"string"},"total_karma":{"type":"integer","default":0},"institution":{"type":"string","readOnly":true},"profile_pic":{"type":"string","readOnly":true}},"required":["full_name","institution","profile_pic"]}}},"paths":{"/api/v1/leaderboard/students/":{"get":{"operationId":"leaderboard_students_retrieve","description":"Retrieve Students Leaderboard.","tags":["Leaderboard"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/StudentLeaderboard"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/leaderboard/students-monthly/

> Retrieve Students Monthly Leaderboard.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"LeaderboardStudentsMonthlyItem":{"type":"object","properties":{"full_name":{"type":"string"},"total_karma":{"type":"integer"},"institution":{"type":"string","nullable":true}},"required":["full_name","institution","total_karma"]}}},"paths":{"/api/v1/leaderboard/students-monthly/":{"get":{"operationId":"leaderboard_students_monthly_list","description":"Retrieve Students Monthly Leaderboard.","tags":["Leaderboard"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"type":"array","items":{"$ref":"#/components/schemas/LeaderboardStudentsMonthlyItem"}}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/leaderboard/wadhwani-college/

> Retrieve Wadhwani College Leaderboard.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"WadhwaniCollegeLeaderboard":{"type":"object","properties":{"code":{"type":"string"},"title":{"type":"string"},"total_karma":{"type":"integer"},"students":{"type":"integer"}},"required":["code","students","title","total_karma"]}}},"paths":{"/api/v1/leaderboard/wadhwani-college/":{"get":{"operationId":"leaderboard_wadhwani_college_retrieve","description":"Retrieve Wadhwani College Leaderboard.","tags":["Leaderboard"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/WadhwaniCollegeLeaderboard"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```

## GET /api/v1/leaderboard/wadhwani-zonal/

> Retrieve Wadhwani Zonal Leaderboard.

```json
{"openapi":"3.0.3","info":{"title":"muLearn API","version":"1.0.0"},"security":[{"cookieAuth":[]},{"basicAuth":[]},{"jwtAuth":[]},{}],"components":{"securitySchemes":{"cookieAuth":{"type":"apiKey","in":"cookie","name":"sessionid"},"basicAuth":{"type":"http","scheme":"basic"},"jwtAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"JWT Token Authentication. Enter **\"Bearer <token>\"**"}},"schemas":{"WadhwaniZoneLeaderboard":{"type":"object","properties":{"zone_name":{"type":"string"},"total_karma":{"type":"integer"},"students":{"type":"integer"}},"required":["students","total_karma","zone_name"]}}},"paths":{"/api/v1/leaderboard/wadhwani-zonal/":{"get":{"operationId":"leaderboard_wadhwani_zonal_retrieve","description":"Retrieve Wadhwani Zonal Leaderboard.","tags":["Leaderboard"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","properties":{"hasError":{"type":"boolean","default":false},"statusCode":{"type":"integer","default":200},"message":{"type":"object","properties":{"general":{"type":"array","items":{"type":"string"}}}},"response":{"$ref":"#/components/schemas/WadhwaniZoneLeaderboard"}},"required":["hasError","statusCode","message","response"]}}},"description":""}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mulearn.org/api-reference/leaderboard.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
